# Status Reasons

Status Reasons

 - [GET /statusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/status-reasons/liststatusreasons.md): This method will scan all status reasons and and return them to the caller.
 - [POST /statusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/status-reasons/createstatusreason.md): This method will auto-generate an ID and create a new status reason. If an ID is specified for the status reason, an error will be thrown.
 - [POST /statusReasons/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/status-reasons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /statusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/status-reasons/deletestatusreason.md): This method will delete a status reason with the specified ID.
 - [GET /statusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/status-reasons/getstatusreason.md): This method will look up a status reason by the specified ID and return it back.
 - [PATCH /statusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/status-reasons/patchstatusreason.md): This method will patch an existing status reason with the specified ID, using the HTTP PATCH specification.
 - [PUT /statusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/status-reasons/updatestatusreason.md): This method will update an existing status reason with the specified ID.
